<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::oca_problem&lt; matrix_type &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1oca__problem.html">oca_problem</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classdlib_1_1oca__problem-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::oca_problem&lt; matrix_type &gt; Class Template Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::oca_problem&lt; matrix_type &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1oca__problem.png" usemap="#dlib::oca_5Fproblem_3C_20matrix_5Ftype_20_3E_map" alt=""/>
  <map id="dlib::oca_5Fproblem_3C_20matrix_5Ftype_20_3E_map" name="dlib::oca_5Fproblem_3C_20matrix_5Ftype_20_3E_map">
<area href="classdlib_1_1oca__problem__c__svm.html" alt="dlib::oca_problem_c_svm&lt; matrix_type, in_sample_vector_type, in_scalar_vector_type &gt;" shape="rect" coords="0,56,659,80"/>
<area href="classdlib_1_1oca__problem__linear__svr.html" alt="dlib::oca_problem_linear_svr&lt; matrix_type, sample_type &gt;" shape="rect" coords="669,56,1328,80"/>
<area href="classdlib_1_1oca__problem__ranking__svm.html" alt="dlib::oca_problem_ranking_svm&lt; matrix_type, sample_type &gt;" shape="rect" coords="1338,56,1997,80"/>
<area href="classdlib_1_1structural__svm__problem.html" alt="dlib::structural_svm_problem&lt; matrix_type, feature_vector_type &gt;" shape="rect" coords="2007,56,2666,80"/>
<area href="classdlib_1_1structural__svm__problem.html" alt="dlib::structural_svm_problem&lt; matrix_type, std::vector&lt; std::pair&lt; unsigned long, matrix_type::type &gt; &gt; &gt;" shape="rect" coords="2676,56,3335,80"/>
<area href="classdlib_1_1structural__svm__problem__threaded.html" alt="dlib::structural_svm_problem_threaded&lt; matrix_type, std::vector&lt; std::pair&lt; unsigned long, matrix_type::type &gt; &gt; &gt;" shape="rect" coords="2676,112,3335,136"/>
<area href="classdlib_1_1multiclass__svm__problem.html" alt="dlib::multiclass_svm_problem&lt; matrix_type, sample_type, label_type &gt;" shape="rect" coords="2676,168,3335,192"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a1349fc70c26000fa04e8329edae78902"><td class="memItemLeft" align="right" valign="top"><a id="a1349fc70c26000fa04e8329edae78902"></a>
typedef matrix_type::type&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_type</b></td></tr>
<tr class="separator:a1349fc70c26000fa04e8329edae78902"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0d3b62f53fe39db9de67f9e3aa141bb2"><td class="memItemLeft" align="right" valign="top"><a id="a0d3b62f53fe39db9de67f9e3aa141bb2"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><b>risk_has_lower_bound</b> (scalar_type &amp;) const</td></tr>
<tr class="separator:a0d3b62f53fe39db9de67f9e3aa141bb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff6ebd652ba54974aa5194b5dc26faf6"><td class="memItemLeft" align="right" valign="top"><a id="aff6ebd652ba54974aa5194b5dc26faf6"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><b>optimization_status</b> (scalar_type, scalar_type, scalar_type, scalar_type, unsigned long, unsigned long) const =0</td></tr>
<tr class="separator:aff6ebd652ba54974aa5194b5dc26faf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bdf35f63aca93efa0dc78157413183c"><td class="memItemLeft" align="right" valign="top"><a id="a3bdf35f63aca93efa0dc78157413183c"></a>
virtual scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>get_c</b> () const =0</td></tr>
<tr class="separator:a3bdf35f63aca93efa0dc78157413183c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8f5d4b3d4770eacb7a2cb28f102d563"><td class="memItemLeft" align="right" valign="top"><a id="ab8f5d4b3d4770eacb7a2cb28f102d563"></a>
virtual long&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_dimensions</b> () const =0</td></tr>
<tr class="separator:ab8f5d4b3d4770eacb7a2cb28f102d563"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bceba9fff38f3155c6742a37d518c10"><td class="memItemLeft" align="right" valign="top"><a id="a9bceba9fff38f3155c6742a37d518c10"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>get_risk</b> (matrix_type &amp;current_solution, scalar_type &amp;risk_value, matrix_type &amp;risk_subgradient) const =0</td></tr>
<tr class="separator:a9bceba9fff38f3155c6742a37d518c10"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="optimization__oca_8h_source.html">optimization_oca.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
